Subject: Re: ssh problems
From: Larry Hall <[email-masked]>
To: [email-masked]
Cc: Eli Barzilay <[email-masked]>
Date: Sat, 9 Jul 2005 14:54:38 -0400

On Tue July 5 2005 22:59, Eli Barzilay wrote:
> On Jul  5, Larry Hall wrote:
> > At 08:45 PM 7/5/2005, you wrote:
> > >(If this is not the right place for this, please direct me.)
> > >
> > >I have recently updated an old Windows setup, including a new cygwing
> > >installation.  We use this machine for nightly builds, using a shell
> > >script that connects to multiple machines and runs the builds
> > >(DevStudio in the Windows case).  With the new cygwin these builds
> > >stopped with a mysterious error -- about 5 hours later I know that the
> > >problem is with sshd and some permission problems.  After a brief look
> > >at http://www.cygwin.com/cygwin-ug-net/ntsec.html, I tried moving my
> > >.ssh away so I have to type a password, and indeed the build works
> > >fine.
> > >
> > >So it looks like devstudio is doing something that requires some
> > >permissions that I don't get unless I physically type a password.  Is
> > >there any way to solve this?  I've been trying to play with things
> > >like ssh-host-config and stuff in the global CYGWIN, but nothing seem
> > >to be making it work.
> >
> > You'll need to figure out what that "something" is that DevStudio is
> > doing.
>
> Is there any way to finding this?  The most information I got was from
> the Event Viewer:
>
>   Application popup: Microsoft Visual C++ Runtime Library : Runtime
>   Error!
>
>   Program: ...Microsoft Visual Studio .NET 2003\Common7\IDE\devenv.exe
>
>   This application has requested the Runtime to terminate it in an
>   unusual way.  Please contact the application's support team for more
>   information.
>
>   For more information, see Help and Support Center at
>   http://go.microsoft.com/fwlink/events.asp.

When running through sshd, you're running via a service.  Authenticating 
without a password means that Windows won't authenticate as the user you are.
The reverse is also true.  So it's possible that VS needs access to some 
information that it doesn't have access to without being authenticated by
Windows.  I could hazard a guess or two as to what that might be but a 
better approach would be to just check the MSDN and on-line sources for 
the different access restrictions of services that don't authenticate with
Windows.  Sorry that's not much help, beyond the idea itself.

-- 
Larry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/